Loading...
Searching...
No Matches
RDKit::SmilesParserParams Struct Reference

`#include <SmilesParse.h>`

## Public Attributes

int | debugParse = 0
bool | sanitize = true
std::map< std::string, std::string > * | replacements
bool | allowCXSMILES = true
bool | strictCXSMILES
bool | parseName = true
bool | removeHs = true
bool | skipCleanup

## Detailed Description

Definition at line 22 of file SmilesParse.h.

## Member Data Documentation

## allowCXSMILES

bool RDKit::SmilesParserParams::allowCXSMILES = true

recognize and parse CXSMILES

Definition at line 27 of file SmilesParse.h.

## debugParse

int RDKit::SmilesParserParams::debugParse = 0

enable debugging in the SMILES parser

Definition at line 23 of file SmilesParse.h.

Referenced by RDKit::SmilesToMol().

## parseName

bool RDKit::SmilesParserParams::parseName = true

parse (and set) the molecule name as well

Definition at line 30 of file SmilesParse.h.

## removeHs

bool RDKit::SmilesParserParams::removeHs = true

remove Hs after constructing the molecule

Definition at line 31 of file SmilesParse.h.

Referenced by RDKit::SmilesToMol().

## replacements

std::map<std::string, std::string>* RDKit::SmilesParserParams::replacements

Initial value:
=
nullptr

allows SMILES "macros"

Definition at line 25 of file SmilesParse.h.

Referenced by RDKit::SmilesToMol().

## sanitize

bool RDKit::SmilesParserParams::sanitize = true

sanitize the molecule after building it

Definition at line 24 of file SmilesParse.h.

Referenced by RDKit::SmilesToMol().

## skipCleanup

bool RDKit::SmilesParserParams::skipCleanup

Initial value:
=
false

skip the final cleanup stage (for internal use)

Definition at line 32 of file SmilesParse.h.

## strictCXSMILES

bool RDKit::SmilesParserParams::strictCXSMILES

Initial value:
=
true

throw an exception if the CXSMILES parsing fails

Definition at line 28 of file SmilesParse.h.

The documentation for this struct was generated from the following file:

- SmilesParse.h